Index: trunk/NEMO/OPA_SRC/ZDF/zdf_oce.F90
===================================================================
--- trunk/NEMO/OPA_SRC/ZDF/zdf_oce.F90	(revision 15)
+++ trunk/NEMO/OPA_SRC/ZDF/zdf_oce.F90	(revision 16)
@@ -15,5 +15,5 @@
 
    !! * Share Module variables
-   LOGICAL, PARAMETER, PUBLIC ::    &
+   LOGICAL, PARAMETER, PUBLIC ::    &   !:
 #if defined key_zdfcst   ||   defined key_esopa
       lk_zdfcst        = .TRUE.         !: constant vertical mixing flag
@@ -21,9 +21,9 @@
       lk_zdfcst        = .FALSE.        !: constant vertical mixing flag
 #endif
-   LOGICAL, PUBLIC ::    &
+   LOGICAL, PUBLIC ::    &   !:
       ln_zdfevd        = .TRUE.  ,   &  !: convection: enhanced vertical diffusion flag
       ln_zdfnpc        = .FALSE.        !: convection: non-penetrative convection flag
 
-   LOGICAL, PUBLIC ::    &
+   LOGICAL, PUBLIC ::    &   !:
       l_trazdf_exp     = .FALSE. ,   &  !: ???
       l_trazdf_imp     = .FALSE. ,   &  !: 
@@ -32,19 +32,19 @@
       l_dynzdf_imp_tsk = .FALSE.        !:
 
-   INTEGER, PUBLIC ::    & !!! namzdf:  vertical diffusion
+   INTEGER, PUBLIC ::    & !!: namzdf:  vertical diffusion
       n_zdfexp = 3    ,  &  !: number of sub-time step (explicit time stepping)
       nevdm    = 1          !: =0/1 flag to apply enhanced avm or not
  
-   REAL(wp), PUBLIC ::   & !!! namzdf   vertical diffusion
+   REAL(wp), PUBLIC ::   & !!: namzdf   vertical diffusion
       avm0  = 1.e-4_wp,  &  !: vertical eddy viscosity (m2/s)
       avt0  = 1.e-5_wp,  &  !: vertical eddy diffusivity (m2/s)
       avevd = 1._wp         !: vertical eddy coeff. for enhanced vert. diff. (m2/s)
 
-   REAL(wp), PUBLIC, DIMENSION(jpi,jpj,jpk) ::   &
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj,jpk) ::   &   !:
       avmu,              &  !: vertical viscosity coeff. at uw-, vw-points
       avmv,              &  !: vertical viscosity coeff. at uw-, vw-points
       avt                   !: vertical diffusivity coeff. at w-point
  
-   REAL(wp), PUBLIC, DIMENSION(jpk) ::   &
+   REAL(wp), PUBLIC, DIMENSION(jpk) ::   &   !:
       avmb, avtb            !: background profile of avm and avt
  
Index: trunk/NEMO/OPA_SRC/ZDF/zdfddm.F90
===================================================================
--- trunk/NEMO/OPA_SRC/ZDF/zdfddm.F90	(revision 15)
+++ trunk/NEMO/OPA_SRC/ZDF/zdfddm.F90	(revision 16)
@@ -25,6 +25,6 @@
 
    !! * Shared module variables
-   LOGICAL, PUBLIC ::   lk_zdfddm = .TRUE.    !: double diffusive mixing flag
-   REAL(wp), PUBLIC, DIMENSION(jpi,jpj,jpk) ::   &
+   LOGICAL, PUBLIC, PARAMETER ::   lk_zdfddm = .TRUE.    !: double diffusive mixing flag
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj,jpk) ::   &   !:
       avs ,               &  !: salinity vertical diffusivity coeff. at w-point
       rrau                   !: heat/salt buoyancy flux ratio
@@ -242,8 +242,8 @@
    !!   Default option :          Dummy module          No double diffusion
    !!----------------------------------------------------------------------
-   LOGICAL, PUBLIC ::   lk_zdfddm = .FALSE.   !: double diffusion flag
+   LOGICAL, PUBLIC, PARAMETER ::   lk_zdfddm = .FALSE.   !: double diffusion flag
 CONTAINS
    SUBROUTINE zdf_ddm( kt )           ! Dummy routine
-      WRITE(*,*) kt                          ! avoid compil warning
+      WRITE(*,*) 'zdf_ddm: You should not have seen this print! error?', kt
    END SUBROUTINE zdf_ddm
 #endif
Index: trunk/NEMO/OPA_SRC/ZDF/zdfmxl.F90
===================================================================
--- trunk/NEMO/OPA_SRC/ZDF/zdfmxl.F90	(revision 15)
+++ trunk/NEMO/OPA_SRC/ZDF/zdfmxl.F90	(revision 16)
@@ -21,7 +21,7 @@
 
    !! * Shared module variables
-   INTEGER, PUBLIC, DIMENSION(jpi,jpj) ::   &
+   INTEGER, PUBLIC, DIMENSION(jpi,jpj) ::   &   !:
       nmln                  !: number of level in the mixed layer
-   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   &
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj) ::   &   !:
       hmld ,             &  !: mixing layer depth (turbocline) (m)
       hmlp ,             &  !: mixed layer depth  (rho=rho0+zdcrit) (m)
Index: trunk/NEMO/OPA_SRC/ZDF/zdfric.F90
===================================================================
--- trunk/NEMO/OPA_SRC/ZDF/zdfric.F90	(revision 15)
+++ trunk/NEMO/OPA_SRC/ZDF/zdfric.F90	(revision 16)
@@ -28,5 +28,5 @@
 
    !! * Shared module variables
-   LOGICAL, PUBLIC, PARAMETER ::   lk_zdfric = .TRUE.   !: Richardson vertical mixing flag
+   LOGICAL, PUBLIC, PARAMETER ::   lk_zdfric = .TRUE.    !: Richardson vertical mixing flag
 
    !! * Module variables
@@ -256,5 +256,5 @@
 CONTAINS
    SUBROUTINE zdf_ric( kt )        ! Dummy routine
-      WRITE(*,*) kt 
+      WRITE(*,*) 'zdf_ric: You should not have seen this print! error?', kt
    END SUBROUTINE zdf_ric
 #endif
Index: trunk/NEMO/OPA_SRC/ZDF/zdftke.F90
===================================================================
--- trunk/NEMO/OPA_SRC/ZDF/zdftke.F90	(revision 15)
+++ trunk/NEMO/OPA_SRC/ZDF/zdftke.F90	(revision 16)
@@ -28,9 +28,9 @@
 
    !! * Share Module variables
-   LOGICAL, PUBLIC, PARAMETER ::   lk_zdftke = .TRUE.   !: TKE vertical mixing flag
-   LOGICAL, PUBLIC ::         & !!! ** tke namelist (namtke) **
+   LOGICAL, PUBLIC, PARAMETER ::   lk_zdftke = .TRUE.    !: TKE vertical mixing flag
+   LOGICAL, PUBLIC ::         & !!: ** tke namelist (namtke) **
      ln_rstke = .FALSE.          !: =T restart with tke from a run without tke with 
      !                           !  a none zero initial value for en
-   REAL(wp), PUBLIC, DIMENSION(jpi,jpj,jpk) ::   &
+   REAL(wp), PUBLIC, DIMENSION(jpi,jpj,jpk) ::   &   !:
       en                         !: now turbulent kinetic energy
 
@@ -92,5 +92,5 @@
       !!         d(en)/dt = eboost eav (d(u)/dz)**2       ! shear production
       !!                  + d( efave eav d(en)/dz )/dz    ! diffusion of tke
-      !!                  + g/rau0 pdl eav d(rau)/dz      ! stratif. destruc.
+      !!                  + grav/rau0 pdl eav d(rau)/dz   ! stratif. destruc.
       !!                  - ediss / emxl en**(2/3)        ! dissipation
       !!      with the boundary conditions:
@@ -791,8 +791,8 @@
    !!   Dummy module :                                        NO TKE scheme
    !!----------------------------------------------------------------------
-   LOGICAL, PUBLIC, PARAMETER ::   lk_zdftke = .FALSE.   ! TKE flag
+   LOGICAL, PUBLIC, PARAMETER ::   lk_zdftke = .FALSE.   !: TKE flag
 CONTAINS
    SUBROUTINE zdf_tke( kt )          ! Empty routine
-      WRITE(*,*) kt                     ! no compilation warning
+      WRITE(*,*) 'zdf_tke: You should not have seen this print! error?', kt
    END SUBROUTINE zdf_tke
 #endif
